let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/9si14qjcz8072c0v42zbkglq08s2cg04-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/bgvd279hrb53i3ah2mi0nf8jp6g6g6g9-coreutils-8.31/bin";
  bzip2 = "/nix/store/xhrb919k3pfx8ldbg3mky8cfbkipsgb8-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/rkbz618nhks3x8rb2pzbrrqp4bzlhdy5-gzip-1.10/bin/gzip";
  xz = "/nix/store/hsa8hmhkpkagfx1j9pbhsgfr2z4y2z5b-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/2b4c17l8b5kml3kh9q4jb8zclc2gwafs-gnutar-1.32/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/bgvd279hrb53i3ah2mi0nf8jp6g6g6g9-coreutils-8.31/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/8928ygfyf9iassfrnj76v55s6zid58ja-nix-2.3.4/bin";
  nixPrefix = "/nix/store/8928ygfyf9iassfrnj76v55s6zid58ja-nix-2.3.4";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/8928ygfyf9iassfrnj76v55s6zid58ja-nix-2.3.4/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
